import request from '@/config/axios'

export interface KioTagVO {
  id: string
  tagName: string
  dataType: string
  tagId: number
  tagDesc: string
  enabled: boolean
  device: string
  samplingRate: number
}

export interface KioTagPageReqVO extends PageParam {
  tagName?: string
  tagDesc?: string
}

// 查询KioTag列表
export const getKioTagPage = (params: KioTagPageReqVO) => {
  return request.get({ url: '/data/channel/kio/tag/page', params })
}

// 查询KioTag详情
export const getKioTag = (id: number) => {
  return request.get({ url: `/data/channel/kio/tag/info/${id}`})
}

// 新增KioTag
export const createKioTag = (data: KioTagVO) => {
  return request.post({ url: '/data/channel/kio/tag/create', data })
}

// 修改KioTag
export const updateKioTag = (data: KioTagVO) => {
  return request.put({ url: '/data/channel/kio/tag/update', data })
}

// 删除KioTag
export const deleteKioTag = (id: number) => {
  return request.delete({ url: '/data/channel/kio/tag/delete?id=' + id })
}
